Subject: Check packageKey naming / file structure below Packages/Vendor
Description

It leads to a confusing situation if you install a composer package with dashes in the name. The actual packageKey to use in FLOW3
(for example while configuring excludeClasses) is without dashes, while the folder structure used by composer does contain the
dashes. This can be confusing.

This issue is created so this can be discussed.

Example package:
https://github.com/simplethings/EntityAudit/blob/master/composer.json

This leads to the following folder structure below Packages/Vendor:

├── composer
├── simplethings
│   └── entity-audit-bundle
└── symfony
    ├── dom-crawler
    └── yaml

The code from the PackageStates.php:

    'simplethings.entityauditbundle' => 
    array (
      'state' => 'active',
      'packagePath' => 'Vendor/simplethings/entity-audit-bundle/',
      'classesPath' => 'src/',
    ),

Related issues:
related to TYPO3 Flow Base Distribution - Story # 41031: Composer support for... Resolved 2012-09-17

History
#1 - 2012-09-27 11:40 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2012-09-27 11:40 - Karsten Dambekalns
- Category set to Package
https://github.com/simplethings/EntityAudit/blob/master/composer.json


- Has patch set to No

#3 - 2012-09-27 11:41 - Karsten Dambekalns

First step: find out why / where this is changed so it differs…

#4 - 2012-09-27 11:49 - Christian Jul Jensen

That is "working as designed" but we can discuss if it should be changed.

PackageFactory::getPackageKeyFromManifestPath

    -  Resolves package key from Composer manifest*
    -  If it is a FLOW3 package the name of the containing directory will be used.*
    -  Else if the composer name of the package matches the first part of the lowercased namespace of the package, the mixed
    -  case version of the composer name / namespace will be used, with backslashes replaced by dots.*
    -  Else the composer name will be used with the slash replaced by a dot

#5 - 2012-11-07 11:39 - Karsten Dambekalns
- Status changed from New to Needs Feedback
